﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MultSelCombobox
{
    public partial class Form1 : Form
    {
        List<subGrps> subGrpLst = null;
        public Form1()
        {
            InitializeComponent();
            this.button2.Click += Button2_Click1;
        }

       

        private void BindMainGrp()
        {
            List<string> mainGrp = new List<string>(new string[] { "Grp-1", "Grp-2", "Grp-3", "Grp-4" });
            cmbGrp.DataSource = mainGrp;

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            BindMainGrp();
            getSubgrpData();

            cmbGrp_SelectionChangeCommitted(null, null);
        }

        private void getSubgrpData()
        {
            subGrpLst = new List<subGrps>();
            subGrps subGrp = new subGrps();
            subGrp.Maingrp = "Grp-1";
            subGrp.subGrp = new List<string>(new string[] { "sub-1-Grp-1", "sub-1-Grp-2", "sub-1-Grp-3" });
            subGrpLst.Add(subGrp);

            subGrp = new subGrps();
            subGrp.Maingrp = "Grp-2";
            subGrp.subGrp = new List<string>(new string[] { "sub-2-Grp-1", "sub-2-Grp-2", "sub-2-Grp-3" });
            subGrpLst.Add(subGrp);

            subGrp = new subGrps();
            subGrp.Maingrp = "Grp-3";
            subGrp.subGrp = new List<string>(new string[] { "sub-3-Grp-1", "sub-3-Grp-2", "sub-3-Grp-3" });
            subGrpLst.Add(subGrp);

            subGrp = new subGrps();
            subGrp.Maingrp = "Grp-4";
            subGrp.subGrp = new List<string>(new string[] { "sub-4-Grp-1", "sub-4-Grp-2", "sub-4-Grp-3" });
            subGrpLst.Add(subGrp);

        }

        private void cmbGrp_SelectionChangeCommitted(object sender, EventArgs e)
        {
          

            var mainGrp = cmbGrp.SelectedValue.ToString();
            List<subGrps> param = subGrpLst
         .Where((y => y.Maingrp == mainGrp)).ToList();

            var ss = param.SelectMany(order => order.subGrp).Distinct().ToArray();

            chkAxis.DataSource = new BindingSource(ss, null);

            //chkAxis.AddVisualItem(ss[0]);
            //chkAxis.SelectedItems.Add(ss[0]);
            //chkAxis.AddVisualItem(ss[1]);
            //chkAxis.SelectedItems.Add(ss[1]);
        }

        private void tableLayoutPanel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void Clearitems(object sender, EventArgs e)
        {
            chkAxis.SelectedItems.Clear();
            chkAxis.VisualItems.Clear();
        }

        private void Button2_Click1(object sender, EventArgs e)
        {
            var mainGrp = cmbGrp.SelectedValue.ToString();
            List<subGrps> param = subGrpLst
         .Where((y => y.Maingrp == mainGrp)).ToList();

            var ss = param.SelectMany(order => order.subGrp).Distinct().ToArray();

            chkAxis.DataSource = new BindingSource(ss, null);
            //  chkAxis.SelectedItems.Add(ss[0]);
            foreach (string str in ss)
            {
                //chkAxis.SelectedItems.Add(ss);
                chkAxis.AddVisualItem(str);
            }
        }
    }
}
